@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

:root {
  --cnt-font-family-body: Arial, sans-serif;
  --cnt-font-family-headings: "Poppins", sans-serif;
  --bs-btn-font-family: Arial, sans-serif;
  --cnt-font-weight-headings: normal;
  --cnt-font-weight-normal: 300;
  --cnt-margin-top-headings: 0;
  --cnt-margin-bottom-headings: 0.5rem;
  --cnt-margin-bottom-paragraph: 1rem;
}

body {
  font-family: var(--cnt-font-family-body);
  font-weight: var(--cnt-font-weight-normal);
  background-color: #F5F5F5;
}

.h1,
.h2,
.h3,
.h4,
.h5,
h1,
h2,
h3,
h4,
h5 {
  font-family: var(--cnt-font-family-headings);
  font-weight: var(--cnt-font-weight-headings, 700);
  margin-top: var(--cnt-margin-top-headings);
  margin-bottom: var(--cnt-margin-bottom-headings);
}

.h6,
h6 {
  font-family: var(--cnt-font-family-headings);
  font-weight: normal;
  margin-top: 1rem;
  margin-bottom: 1rem;
  color: var(--cnt-color-primary);
}

p {
  margin-bottom: var(--cnt-margin-bottom-paragraph);
}

.container-component {
  --cnt-margin-top-headings: 2rem;
  --cnt-margin-bottom-headings: 2rem;
}

.btn {
  letter-spacing: 0.5px;
  border-radius: 0.5rem;
  font-weight: 300;
  padding: 0.8rem 1.2rem;
  line-height: 1;
  border-radius: 12px;
}

.btn-dark {
  background-color: #243B55;
  color: white;
}

.btn-secondary {
  background-color: white;
  color: #243B55;
  border: 2px solid #243B55;
}

a.btn:hover {
  text-decoration: none;
}

input[type="checkbox"] {
  -webkit-appearance: none;
  appearance: none;
  width: 1em;
  height: 1em;
  border: 2px solid var(--body-color);
  border-radius: 4px;
  background-color: #fff;
  cursor: pointer;
  position: relative;
  display: inline-block;
  vertical-align: middle;
}

input[type="checkbox"]:checked {
  border-color: #243B55;
  background-color: #fff;
}

input[type="checkbox"]:checked::before {
  content: "";
  position: absolute;
  inset: 1px;
  /* creates the white gap */
  background-color: #243B55;
  border-radius: 3px;
}

input[type="checkbox"]:focus-visible {
  outline: 2px solid #243B55;
  outline-offset: 2px;
}

input[type="checkbox"]:disabled {
  opacity: 0.5;
  cursor: not-allowed;
}

/* Helpers */

.color-primary {
  color: var(--cnt-color-primary);
}

.color-secondary {
  color: var(--cnt-color-secondary);
}

.fw-200 {
  font-weight: 200;
}

.small-note {
  font-size: 14px;
  color: #6A7282;
}

/* List styling */
ul.styled-list,
ul.styled-list-white {
  list-style: none;
  padding-left: 0;
}

ul.styled-list li,
ul.styled-list-white li {
  position: relative;
  padding-left: 28px;
}

ul.styled-list li::before,
ul.styled-list-white li::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0.1em;
  width: 1.2em;
  height: 1.2em;
  background-repeat: no-repeat;
  background-size: contain;
}

ul.styled-list li::before {
  background-image: url("../images/atom_blue.svg");
}

ul.styled-list-white li::before {
  background-image: url("../images/atom_white.svg");
}



/* Navbar */

.container-header {
  background-color: #00A0DD;
  color: white;
}

@media (min-width: 992px) {
  .container-header .mod-menu {
    display: flex;
    flex: 1 1 0%;
    flex-direction: row;
    align-items: center;
    justify-content: end;
  }
}

.container-header a {
  color: white;
  position: relative;
}

.container-header .navbar-toggler {
  color: white;
}

@media (min-width: 992px) {
  .container-header .navbar-toggler {
    display: none;
  }
}

@media (max-width: 992px) {
  .container-header .navbar-brand {
    min-width: 80%;
  }
}

.container-header .moduletable {
  align-content: center;
}

.metismenu.mod-menu .mod-menu__separator,
.metismenu.mod-menu .metismenu-item {
  font-size: 20px;
  font-weight: 500;
}

.metismenu.mod-menu .parent>ul {
  background-color: var(--cnt-color-primary);
  border-radius: 10px;
}

.container-header .mod-menu>li.current::after,
.container-header .mod-menu>li:hover::after {
  right: 2px;
  left: 0;
  background: white;
  opacity: 1;
}

/* Banner carousel */

.carousel.slide {
  background: linear-gradient(to right, rgba(0, 0, 0, 0.75), rgba(0, 0, 0, 0)), url(/images/banners/radiomedic_banner_x.webp);
  background-position: center;
}

.container-banner {
  margin: 0px;
}

.carousel-item {
  min-height: 35vh;
  overflow: hidden;
  position: relative;
  background-size: cover !important;
  background-position: center !important;
  align-content: center;
  padding: 2rem;
}

.carousel-caption {
  height: 100%;
  text-align: left;
  display: flex;
  align-items: center;
  position: unset;
  width: 100%;
  max-width: 1320px;
  margin-right: auto;
  margin-left: auto;
}


.carousel-caption .carousel-caption-centered {
  width: 100%;
  text-align: center;
  text-align: center;
}

.carousel-caption h1,
.carousel-caption h2,
.carousel-caption h3 {
  font-size: 2rem;
}

@media (min-width: 768px) {

  /* .carousel-caption h1,
  .carousel-caption h2,
  .carousel-caption h3 {
    font-size: 3rem;
  } */

  .carousel-caption .carousel-caption-centered {
    text-align: left;
  }
}

/* @media (min-width: 992px) {
  .carousel-caption .carousel-caption-centered {
    width: 65%;
  }
} */

/* @media (min-width: 1200px) {

  .carousel-caption h1,
  .carousel-caption h2,
  .carousel-caption h3 {
    font-size: 3rem;
  }
} */


.carousel-caption {
  font-size: 1.2rem;
  font-weight: 300;
}

.carousel-indicators [data-bs-target] {
  height: 10px;
  width: 10px;
  border: none;
  border-radius: 3px;
  opacity: 1;
}

.carousel-indicators .active {
  background-color: var(--cnt-color-primary);
}

.carousel-inner {
  --cnt-font-weight-headings: 700;
  --cnt-margin-top-headings: 0;
  --cnt-margin-bottom-headings: 2rem;
  --cnt-margin-bottom-paragraph: 2rem;
}

.carousel-caption-centered>*:last-child {
  margin-bottom: 0 !important;
}

/* Breadcrumbs and hero section */

.container-breadcrumbs {
  background-color: var(--body-bg);
}

@media (max-width: 768px) {
  .view-article .container-breadcrumbs {
    display: none;
  }
}

.breadcrumbs-hero {
  padding: 3rem 0rem;
  background-size: cover;
  background-position: center;
  color: white;
  position: relative;
  width: 100%;
}

.breadcrumbs-hero h1,
.breadcrumbs-hero h2,
.breadcrumbs-hero h3 {
  color: white;
  margin-bottom: 0px;
}

@media (max-width: 992px) {
  .breadcrumbs-hero {
    padding: 3rem 1rem;
  }
}

@media (min-width: 992px) {

  .breadcrumbs-hero h1,
  .breadcrumbs-hero h2 {
    font-size: 50px;
  }
}


.breadcrumbs-hero .grid-child {
  flex-direction: column;
  position: relative;
  z-index: 2;
}

.breadcrumbs-hero .breadcrumb span,
.breadcrumbs-hero .breadcrumb-item+.breadcrumb-item::before {
  color: #B5E2FF;
}

.breadcrumbs-hero .mod-breadcrumbs__item.breadcrumb-item.active span {
  color: white;
}

.breadcrumbs-hero .breadcrumb a {
  text-decoration: none;
}

.breadcrumbs-hero-bg-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(to right, #243B55, #00A0DD);
  pointer-events: none;
  z-index: 1;
}

.breadcrumbs-hero .breadcrumb {
  background-color: transparent;
}

/* Article page */

.com-content-article.item-page {
  padding-top: 2.5rem;
  padding-bottom: 2.5rem;
}

/* Cards */

.rm-card {
  background-color: white;
  color: var(--body-color);
  border-radius: 10px;
  padding: 2rem;
  margin-bottom: 2rem;
  margin-top: 2rem;
  --cnt-margin-top-headings: 0;
  --cnt-margin-bottom-headings: 0.5rem;
}

.rm-card .rm-card {
  border-radius: 5px;
}

.rm-card-bordered {
  border: 1px solid #E5E7EB;
}

.rm-card-gradient {
  background: linear-gradient(to right, #243B55, #00A0DD);
  color: white;
}

.rm-card-light-blue {
  background-color: #F3F8FB;
}

.rm-card-gray {
  background-color: #F5F5F5;
}

.rm-card>*:last-child {
  margin-bottom: 0 !important;
}

@media (max-width: 768px) {
  .rm-card {
    padding: 1rem;
  }
}

.rm-icon-horizontal-wrapper {
  display: flex;
  flex-direction: row;
  gap: 1rem;
}

.rm-icon-horizontal {
  align-content: center;
  text-align: center;
  width: 7rem;
}

.rm-icon-horizontal.rm-icon-horizontal-xl {
  width: 5rem;
}

.rm-icon-horizontal.rm-icon-horizontal-lg {
  width: 4rem;
}

.rm-icon-horizontal.rm-icon-horizontal-md {
  width: 3rem;
}

.rm-icon-horizontal.rm-icon-horizontal-sm {
  width: 2rem;
}

.rm-icon-horizontal.rm-icon-horizontal-xs {
  width: 1rem;
}

.rm-icon-horizontal-content {
  align-content: center;
}

.rm-icon-horizontal-content>*:last-child {
  margin-bottom: 0 !important;
}

.rm-card-heading-title {
  font-size: 24px;
}

.rm-icon-horizontal-wrapper.rm-card-heading>.rm-icon-horizontal>img {
  width: 5rem;
}

.rm-icon-horizontal-wrapper.rm-card-heading {
  margin-bottom: 1.5rem;
}

.rm-card-special {
  position: relative;
  padding: 9rem 0rem;
}

.rm-card-special-wrapper {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  border-radius: 10px;
  overflow: hidden;
}

.rm-card-special-content {
  background-color: var(--cnt-color-primary);
  color: white;
  width: 50%;
  padding: 2rem;
  --cnt-margin-top-headings: 0;
  --cnt-margin-bottom-headings: 0.5rem;
  align-content: center;
}

.rm-card-special-content>*:last-child {
  margin-bottom: 0 !important;
}

.rm-card-special-image {
  width: 50%;
  height: auto;
  object-fit: cover;
}

@media (max-width: 768px) {

  .rm-card-special-content,
  .rm-card-special-image {
    width: 100%;
  }
}

@media (min-width: 992px) {

  .rm-card.rm-card-floating-1,
  .rm-card.rm-card-floating-2 {
    position: absolute;
    margin-top: 0px;
    margin-bottom: 0px;
  }

  .rm-card-floating-1 {
    top: 2rem;
    right: 5rem;
  }

  .rm-card-floating-2 {
    bottom: 1rem;
    right: 1rem;
  }
}

@media (max-width: 992px) {
  .rm-card-special {
    position: relative;
    padding: 1rem 0rem 0rem 0rem;
  }

  .rm-card.rm-card-floating-1,
  .rm-card.rm-card-floating-2 {
    width: 100%;
    margin-bottom: 0;
  }
}

.rm-subsection {
  position: relative;
  padding-left: 3rem;
  margin: 2rem 0rem;
}

.rm-subsection h3 {
  margin-bottom: 1.5rem;
}

.rm-subsection::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0.35em;
  width: 23px;
  height: 23px;
  background-image: url("../images/atom_blue.svg");
  background-repeat: no-repeat;
  background-size: contain;
}

/* Footer */
.footer {
  background-color: #243B55;
}

.footer a {
  text-decoration: none;
}

.grid-child.footer-main-wrapper {
  padding: 1rem;
  justify-content: center;
}


.footer .grid-child {
  padding: 3rem 0.5em 0.5em 0.5em;
}

.copyright {
  text-align: center;
  color: #58728E;
  font-size: 15px;
  width: 100%;
}

.footer-logo-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.footer-logo-wrapper>* {
  margin-bottom: 2rem;
}

.wrapper-footer-col-1>.moduletable,
.wrapper-footer-col-1>.moduletable>.mod-custom,
.footer-logo-wrapper {
  height: 100%;
}

/* Pro access modal */
#pro-access-overlay {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.75);
  z-index: 99999;
  display: none;
  align-items: center;
  justify-content: center;
  font-family: inherit;
}

#pro-access-modal {
  background: #fff;
  min-width: 70%;
  width: 90%;
  padding: 30px;
  border-radius: 8px;
  box-shadow: 0 20px 60px rgba(0, 0, 0, 0.4);
}


@media (min-width: 992px) {
  #pro-access-modal {
    width: 70%;
  }
}

#pro-access-modal h2 {
  margin-top: 0;
  font-size: 2rem;
}

#pro-access-modal p {
  font-size: 0.95rem;
  line-height: 1.5;
}

.pro-checkbox {
  margin: 15px 0;
  display: flex;
  gap: 10px;
  cursor: pointer;
}

.pro-checkbox input {
  margin-top: 3px;
}

/* Category blog */

.com-content-category-blog .blog-items {
  padding-top: 3rem;
  padding-bottom: 1rem;
}

.com-content-category-blog .blog-item {
  width: 100%;
}

.com-content-category-blog .item-content {
  width: 100%;
  padding: 2rem;
  background-color: white;
  border-radius: 25px;
}


.com-content-category-blog .item-content h2 {
  margin-top: 0;
  margin-bottom: 1.5rem;
  font-size: 28px;
}

.com-content-category-blog .item-content h2 a {
  text-decoration: none;
}

@media (max-width: 768px) {
  .com-content-category-blog .item-content {
    padding: 1.5rem;
  }
  .com-content-category-blog .item-content h2 {
    font-size: 18px;
  }
}

/* Hide carousel nav */

.carousel-control-prev, 
.carousel-control-next {
  display: none;
}

/* Hide active underline in footer menu */

footer .mod-list li.active>a {
  text-decoration: none;
}

footer .mod-list li.active>a:hover {
  text-decoration: underline;
}